Installer - Bug #26746
No visible progress during --upgrade-mongo-storage-engine
Status: Closed
Priority: Normal
Assignee: Chris Roberts
Category: foreman-installer script
Target version: 1.23.0
Difficulty: trivial Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases:
Bugzilla link: 1704816 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/352

Description

Description of problem:
When running satellite-installer --upgrade-mongo-storage-engine, it will first dump the MongoDB database and then restore it with
the new storage engine.

While restoring, it runs
mongorestore --host localhost --db=pulp_database --drop --quiet --dir=/var/tmp/mongodb_engine_upgrade/pulp_database

And with --quiet there is zero output on the terminal. (There is during the dump phase).
As this step can easily take multiple hours, it'd be nice to see some progress, even if it's as badly formatted as the one during the
dump

Version-Release number of selected component (if applicable):
6.5.0 Snap 26

How reproducible:
100%

Steps to Reproduce:

1. Install 6.3 (last one to default to MMAPv1 for new installs)
2. Upgrade to 6.4/6.5

3. satellite-installer --upgrade-mongo-storage-engine

Actual results:
No output during restore

Expected results:
Output during restore

Additional info:
Just removing the --quiet should be sufficient

Associated revisions

Revision 6e954ec8 - 05/07/2019 07:45 AM - Chris Roberts
Fixes #26746 - Show progress during Mongo restore (#352)

History

#1 - 05/06/2019 02:06 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/352 added

#2 - 05/07/2019 08:05 AM - Chris Roberts
- Status changed from Ready For Testing to Closed
Applied in changeset installer|6e954ec8a88739bff7b22661e4097282925f9906.

#3 - 05/22/2019 11:09 AM - Tomer Brisker
- Fixed in Releases 1.23.0 added
